package cn.superdesk.uniorder.service.invoice.customer.invoiced;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLog;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLogQueryCriteria;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: 应收账款-回款操作日志-操作留痕
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-28 15:28:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-28 15:28:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedBackCollectionOperationLogService extends BaseService<InvoiceInvoicedBackCollectionOperationLog> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(InvoiceInvoicedBackCollectionOperationLog entity);

    int updateByPrimaryKeySelective(InvoiceInvoicedBackCollectionOperationLog entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	InvoiceInvoicedBackCollectionOperationLog findById(Long id);

	@Deprecated
	PageInfo<InvoiceInvoicedBackCollectionOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<InvoiceInvoicedBackCollectionOperationLog> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addInvoiceInvoicedBackCollectionOperationLog(InvoiceInvoicedBackCollectionOperationLog entity);

	void updateInvoiceInvoicedBackCollectionOperationLog(InvoiceInvoicedBackCollectionOperationLog entity);

	void deleteInvoiceInvoicedBackCollectionOperationLog(Long id);

	InvoiceInvoicedBackCollectionOperationLog findInvoiceInvoicedBackCollectionOperationLogById(Long id);

	R<List<InvoiceInvoicedBackCollectionOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<InvoiceInvoicedBackCollectionOperationLog>> pageQueryGenericParam(InvoiceInvoicedBackCollectionOperationLogQueryCriteria queryCriteria);


}
